kdmgreeting crashed due to incompatible qt library [Solved]

Anything that pertains to Entropy, Equo or Sulfur

Moderator: Moderators

kdmgreeting crashed due to incompatible qt library [Solved]

Postby mobilehunter » Sat May 02, 2009 23:54

Hi,

My sabayon is 4.1 kde x86_64.
I just upgraded to rev 1028, qt packages was updated to 4.5.1.
kdm version is 4.2.2-r2.

After that i restart, but kdm was not displayed.
From kdm.log, it display error message something like "kcrash:kdmgreeting crashed, due to incompatible qt library"

EDITED:
I just did another world upgrade, then it fetched qt-gui,qt-svg and qt-assistant.
Strange, my previous world upgrade change my revision to 1028.
It seem above qt packages were not installed.
Also my ktorrent upgraded to latest revision, but equo doesnot updated to 0.90.
mobilehunter
Growing Hen
 
Posts: 116
Joined: Tue May 22, 2007 22:46

Re: kdmgreeting crashed due to incompatible qt library [SOLVED]

Postby joost » Sun May 03, 2009 9:19

We are aware of this.
If you equo world and pull in Qt 4.5.1 please do:

Code: Select all
equo install kdm


and

Code: Select all
equo install ktorrent


this will pull in the missing deps that are required for kde 4.2 and kdm to function correctly.

I noticed this right after Qt got bumped and asked lxnay to bump kdm and ktorrent (give it a revision so in theory it would pull in these deps.. i can confirm now that it didn't)

edit: Moved topic and made it sticky.
joost
Sagely Hen
 
Posts: 2566
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Fall of KDE after installation of Skype

Postby Exeller » Sun May 03, 2009 14:18

During installation of skype, Equo updated as dependences qt to 4.5 version and asked to replace conf file of cups... I said ok.All installed successfully but when I restarted sabayon,it's stacks in console mode instead of going to KDM.
When qt packages installed in console i saw something like "After update of qt KDE widgets and applications might not work.You need to recompile kde "
How to recompile kde or may be it can be solved in other way?
Exeller
Baby Hen
 
Posts: 11
Joined: Mon Jan 12, 2009 20:12

Re: Fall of KDE after installation of Skype

Postby micia » Sun May 03, 2009 14:27

try to do:
Code: Select all
equo install kdm


[EDIT] and reboot
micia
Sagely Hen
 
Posts: 2718
Joined: Wed Nov 26, 2008 16:41

Re: kdmgreeting crashed due to incompatible qt library [Solved]

Postby lxnay » Sun May 03, 2009 14:33

Ok, I killed the bug.
You need to update Entropy to 0.52.9 (or 0.90.1 if you are using sabayon-limbo secret development repo :P).
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+
lxnay
Land Owner
 
Posts: 3595
Joined: Thu Oct 13, 2005 23:16
Location: Italy

Re: kdmgreeting crashed due to incompatible qt library [Solved]

Postby lxnay » Sun May 03, 2009 14:44

For those who ran into this issue, just run this command:
Code: Select all
equo install qt-gui
Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+
lxnay
Land Owner
 
Posts: 3595
Joined: Thu Oct 13, 2005 23:16
Location: Italy

Re: Fall of KDE after installation of Skype

Postby lxnay » Sun May 03, 2009 14:44

Image
Join us on IRC (chat.freenode.net #sabayon or WebChat)
Submit bugs to our Bug Tracker
Follow me on Twitter
Add me on Facebook
Add me on Google+
lxnay
Land Owner
 
Posts: 3595
Joined: Thu Oct 13, 2005 23:16
Location: Italy


Return to Entropy|Equo|Rigo Package Managers

Who is online

Users browsing this forum: No registered users and 4 guests